> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overall risk dashboard for instance

> Returns overall risk dashboard data for the instance associated with the access token.

The overall risk dashboard includes metrics such as total risk score, risk grade, and breakdown of risks by category.

In the output, the respective grades are represented by scan type. There is Current and Previous grades for each where the period duration is either monthly or quarterly depending on that instance’s system settings. The scan types are:
- Or	- Overall Risk
- Ds	- Data Scans
- Vn	- Vulnerability Scans
- Sb	- Secure Baseline Scans
- Cmpl	- Compliance Grade


Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/dashboards/overall
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/dashboards/overall:
    get:
      tags:
        - Dashboards
      summary: Overall risk dashboard for instance
      description: "Returns overall risk dashboard data for the instance associated with the access token.\r\n\r\nThe overall risk dashboard includes metrics such as total risk score, risk grade, and breakdown of risks by category.\r\n\r\nIn the output, the respective grades are represented by scan type. There is Current and Previous grades for each where the period duration is either monthly or quarterly depending on that instance’s system settings. The scan types are:\r\n- Or\t- Overall Risk\r\n- Ds\t- Data Scans\r\n- Vn\t- Vulnerability Scans\r\n- Sb\t- Secure Baseline Scans\r\n- Cmpl\t- Compliance Grade\r\n\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetOverallRiskScores
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardOverallRisk'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    DashboardOverallRisk:
      title: Dashboard Overall Risk
      type: object
      properties:
        previous_or_grade:
          title: Previous OR Grade
          type:
            - string
            - 'null'
          description: Overall risk grade from the previous assessment.
        current_or_grade:
          title: Current OR Grade
          type:
            - string
            - 'null'
          description: Overall risk grade from the current assessment.
        previous_ds_grade:
          title: Previous DS Grade
          type:
            - string
            - 'null'
          description: Data security grade from the previous assessment.
        current_ds_grade:
          title: Current DS Grade
          type:
            - string
            - 'null'
          description: Data security grade from the current assessment.
        previous_vn_grade:
          title: Previous VL Grade
          type:
            - string
            - 'null'
          description: Vulnerability level grade from the previous assessment.
        current_vn_grade:
          title: Current VL Grade
          type:
            - string
            - 'null'
          description: Vulnerability level grade from the current assessment.
        previous_sb_grade:
          title: Previous SB Grade
          type:
            - string
            - 'null'
          description: Secure baseline grade from the previous assessment.
        current_sb_grade:
          title: Current SB Grade
          type:
            - string
            - 'null'
          description: Secure baseline grade from the current assessment.
        previous_cmpl_grade:
          title: Previous CMPL Grade
          type:
            - string
            - 'null'
          description: Compliance grade from the previous assessment.
        current_cmpl_grade:
          title: Current CMPL Grade
          type:
            - string
            - 'null'
          description: Compliance grade from the current assessment.
        FinancialData:
          $ref: '#/components/schemas/FinancialData'
      additionalProperties: false
      description: >-
        Represents the overall risk dashboard with various grades and financial
        data.
    FinancialData:
      title: Financial Data
      type: object
      properties:
        num_targets:
          title: Number of Targets
          type: integer
          description: Total number of targets assessed.
          format: int32
        num_employees:
          title: Number of Employees
          type: integer
          description: Total number of employees in the organization.
          format: int32
        dt_cost:
          title: Revenue
          type: number
          description: Total revenue of the organization.
          format: double
        breach_cost:
          title: Breach Cost
          type: number
          description: Estimated cost of a potential data breach.
          format: double
      additionalProperties: false
      description: Represents financial data related to the overall risk assessment.

````